[tor-commits] [tor/master] Merge branch 'maint-0.4.0'

asn at torproject.org asn at torproject.org
Wed May 29 18:20:47 UTC 2019


commit 650bdca97f2bf45b27fe8ae0f9a2da5cbf36f959
Merge: 24a2352d5 00108b75d
Author: George Kadianakis <desnacked at riseup.net>
Date:   Wed May 29 21:20:02 2019 +0300

    Merge branch 'maint-0.4.0'

 changes/ticket29702             |  4 ++++
 src/test/test_key_expiration.sh |  3 ++-
 src/test/test_keygen.sh         |  3 ++-
 src/test/test_rebind.py         | 10 +++++++++-
 src/test/zero_length_keys.sh    |  3 ++-
 5 files changed, 19 insertions(+), 4 deletions(-)

diff --cc src/test/test_key_expiration.sh
index 1ed81c81c,347421060..54abb4a2f
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@@ -60,12 -60,13 +60,13 @@@ if [ ! -d "$DATA_DIR" ]; the
    echo "Failure: mktemp invocation result doesn't point to directory" >&2
    exit 3
  fi
 -trap "rm -rf '$DATA_DIR'" 0
 +trap 'rm -rf "$DATA_DIR"' 0
  
  # Use an absolute path for this or Tor will complain
 -DATA_DIR=`cd "${DATA_DIR}" && pwd`
 +DATA_DIR=$(cd "${DATA_DIR}" && pwd)
  
  touch "${DATA_DIR}/empty_torrc"
+ touch "${DATA_DIR}/empty_defaults_torrc"
  
  QUIETLY="--hush"
  SILENTLY="--quiet"
diff --cc src/test/test_keygen.sh
index 9fbf7dd57,7afff271c..cbdfd1909
--- a/src/test/test_keygen.sh
+++ b/src/test/test_keygen.sh
@@@ -77,12 -77,13 +77,13 @@@ if [ ! -d "$DATA_DIR" ]; the
    echo "Failure: mktemp invocation result doesn't point to directory" >&2
    exit 3
  fi
 -trap "rm -rf '$DATA_DIR'" 0
 +trap 'rm -rf "$DATA_DIR"' 0
  
  # Use an absolute path for this or Tor will complain
 -DATA_DIR=`cd "${DATA_DIR}" && pwd`
 +DATA_DIR=$(cd "${DATA_DIR}" && pwd)
  
  touch "${DATA_DIR}/empty_torrc"
+ touch "${DATA_DIR}/empty_defaults_torrc"
  
  QUIETLY="--hush"
  SILENTLY="--quiet"
diff --cc src/test/zero_length_keys.sh
index 4069148e0,5635bdfd8..1702d1124
--- a/src/test/zero_length_keys.sh
+++ b/src/test/zero_length_keys.sh
@@@ -40,9 -40,10 +40,10 @@@ if [ ! -d "$DATA_DIR" ]; the
    echo "Failure: mktemp invocation result doesn't point to directory" >&2
    exit 3
  fi
 -trap "rm -rf '$DATA_DIR'" 0
 +trap 'rm -rf "$DATA_DIR"' 0
  
  touch "$DATA_DIR"/empty_torrc
+ touch "$DATA_DIR"/empty_defaults_torrc
  
  # DisableNetwork means that the ORPort won't actually be opened.
  # 'ExitRelay 0' suppresses a warning.



More information about the tor-commits mailing list